<?php

echo '<h2>Statistiques relatives aux activités</h2>';

if($grappes_check==1) {
	echo '<p class="signal">Avertissement !</p><p class="maxwidth">Vous avez activé les inscriptions par ensembles ou grappes. Par conséquent, ces statistiques (sauf par genre) regroupent à la fois les statistiques à partir des inscriptions individuelles et par classes ou groupes.</p>';
}

include('freq_stats_form.php');

echo '<h2>Du '.$affday1.' au '.$affday2.'</h2>';

echo '<p>Fréquentation totale : ';
$totalfreq_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."' ".$filtre_activs.""));
if($grappes_check==1) {
	$elegrap_nb = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND passage = '0' ".$filtre_activs."");
	while($elegrap = mysqli_fetch_assoc($elegrap_nb)) {
		$totalfreq_nb += $elegrap['nombre'];
	}
}
if($totalfreq_nb==0) {
	echo 'Aucun élève pour cette équation';
}
else {
	echo $totalfreq_nb;
	echo ' élèves.</p>';

	//récupération des niveaux et couleurs par niveau
	include('freq_stats_nivcolors.php'); 
	require_once('./include/basiccolors.php');
	require_once('./include/showalltooltips.php');
	
	$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE activ_id > 0 ".$_SESSION['filtre_activsonly']." ORDER BY code_activ ASC");
	$tabActivites = array();
	$tabActivitesNom = array();

	echo '<form name="statscform" method="GET" action="">
	<input type="hidden" name="page" value="stats" />
	<input type="hidden" name="stat" value="activites" />
	<div class="box"><select name="s" id="statschoix">';
	$stcode = array('zero','nbperactiv','percentperactiv','percentperactivperniv','percentperactivperssex','activperweek','all');
	$stname = array('--Choisir les statistiques--','Nombre de visites par activité','Pourcentage de visites par activité','Pourcentage de visites par activité par niveau','Pourcentage de visites par activité par genre','Répartition des activités chaque semaine','Toutes ces statistiques (chargement long)');
	for($sno=0;$sno<count($stcode);$sno++) {
		echo '<option value="'.$stcode[$sno].'"';
		if(isset($_GET['s'])) {
			if($_GET['s']==$stcode[$sno]) {
				echo ' selected ';
			}
		}
		echo '>'.$stname[$sno].'</option>';
	}
	echo '</select></div> <input type="submit" class="bouton boutfreq" value="Choisir" />
	</form>';

	echo '</article><article id="artleft" class="freqsep">';

	include('stats/freq_stats_act_div.php');

} ?>