<?php

echo '<h2>Statistiques générales</h2>';

if($grappes_check==1) {
	echo '<p class="signal">Avertissement !</p><p class="maxwidth">Vous avez activé les inscriptions par ensembles ou grappes. Par conséquent, ces statistiques regroupent à la fois les statistiques à partir des inscriptions individuelles et par classes ou groupes.</p>';
}

include('freq_stats_form.php');

echo '<h2>Du '.$affday1.' au '.$affday2.'</h2>';

echo '<p>Fréquentation totale (avec utilisateur associé à l\'inscription) : ';
$totalfreq_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."'  AND user_id != '' ".$filtre_activs.""));
if($grappes_check==1) {
	$elegrap_nb = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND passage = '0'  AND user_id != '' ".$filtre_activs."");
	while($elegrap = mysqli_fetch_assoc($elegrap_nb)) {
		$totalfreq_nb += $elegrap['nombre'];
	}
}
if($totalfreq_nb==0) {
	echo 'Aucun élève pour cette équation';
}
else {
echo $totalfreq_nb;
echo ' élèves.</p>';

//récupération des niveaux et couleurs par niveau
include('freq_stats_nivcolors.php'); 
require_once('./include/basiccolors.php');
require_once('./include/showalltooltips.php');

$users = mysqli_query($bdd,"SELECT * FROM ".$prefix."_user");
$tabUsers = array();
$tabUsersName = array();
$tabNbByUser = array();
$tabPercentByUser = array();
$i=0;
foreach($users as $user_id) {
	$nb_by_user = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$day1."' AND freq.date_freq <= '".$day2."' AND user_id = '".$user_id['id']."' ".$filtre_activs.""));
	if($nb_by_user>0) {
		array_push($tabUsers,$user_id['id']);
		if($user_id['prenom']!=''&&$user_id['nom']!='') {
			array_push($tabUsersName, $user_id['prenom'].' '.$user_id['nom']);
		}
		else if($user_id['nom']!='') {
			array_push($tabUsersName, $user_id['nom']);
		}
		else if($user_id['prenom']!='') {
			array_push($tabUsersName, $user_id['prenom']);
		}
		else {
			array_push($tabUsersName, $user_id['login']);
		}
		array_push($tabNbByUser, $nb_by_user);
		$percent = round(($nb_by_user * 100 / $totalfreq_nb),2);
		array_push($tabPercentByUser, $percent);

		$i++;
	}
}
echo '<h3>Par utilisateur :</i></h3>';
$j=0;
foreach($tabNbByUser as $eachUser) {
	echo '<p>'.$tabUsersName[$j].' : '.$tabNbByUser[$j].' visites.</p>';
	$j++;
}

echo '</article><article id="artleft" class="freqsep">';?>

<div id="wrapper" class="statcadre">
<canvas id="chart_percentperuser" class="charts" width="400" height="400"></canvas>
</div>
<script>
var ctx = document.getElementById("chart_percentperuser");
var myChart = new Chart(ctx, {
    type: 'pie',
    data: {
        labels: <?php echo json_encode($tabUsersName); ?>,
        datasets: [{
            data: <?php echo json_encode($tabPercentByUser); ?>,
            backgroundColor: <?php echo json_encode($basicColors); ?>,
            borderColor: <?php echo json_encode($basicColors); ?>,
        }]
    },
    options: {
        title: {
            display: true,
            text: 'Pourcentage de visites par utilisateur'
        },
		responsive: true,
		maintainAspectRatio: false,
		showAllTooltips: true
    }
});
</script>

<?php
//fréquentation par utilisateur par niveau :
$i=1;$count_activ=0;
foreach($tabUsers as $usersb) {
	$tabNbPerNiveau[$i] = array();
	$tabPercentPerNiveau[$i] = array();
	$tabColors[$i] = array();
	foreach($tabDebniveau as $divdeb) {
		$total_niv = mysqli_num_rows(mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND division LIKE '".$divdeb."%'  AND user_id != '' ".$filtre_activs.""));
		$nbeleves_niv = mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND division LIKE '".$divdeb."%'  AND user_id = '".$usersb."' ".$filtre_activs."");
		$nbeleves = mysqli_num_rows($nbeleves_niv);
		if($grappes_check==1) {
			$elegrap_nb = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND niveau = '".$divdeb."' AND passage = '0' AND user_id = '".$usersb."' ".$filtre_activs."") or die(mysqli_error($bdd));
			while($elegrap = mysqli_fetch_assoc($elegrap_nb)) {
				$nbeleves += $elegrap['nombre'];
			}
		}
		array_push($tabNbPerNiveau[$i], $nbeleves);
		$percent = round(($nbeleves * 100 / $total_niv),2);
		array_push($tabPercentPerNiveau[$i], $percent);
		array_push($tabColors[$i],$basicColors[$i-1]);
	}
	$i++;$count_activ++;
}
?>

<div id="wrapper" class="statcadre">
<canvas id="chart_pcpernivperuser" class="charts" width="400" height="200"></canvas>
</div>
<script>
var ctx = document.getElementById("chart_pcpernivperuser");
var myChart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: <?php echo json_encode($tabNiveau); ?>,
        datasets: [ 
        <?php $i=1;$j=1;
        foreach($tabUsers as $usersb) { ?>
        {
            label: <?php echo json_encode($tabUsersName[$i-1]); ?>,
            data: <?php echo json_encode($tabPercentPerNiveau[$i]); ?>,
            backgroundColor: <?php echo json_encode($tabColors[$i]); ?>,
            borderColor: <?php echo json_encode($tabColors[$i]); ?>,
            borderWidth: 1
        } <?php if($j<$count_activ) { echo ','; } $i++; $j++;} ?> ]
    },
    options: {
       title: {
			display: true,
			text: 'Proportion de visites par utilisateur, selon le niveau'
		},
		tooltips: {
			mode: 'index',
			intersect: false
		},
		responsive: true,
		scales: {
			xAxes: [{
				stacked: true,
				ticks: {
					beginAtZero:true
				}
			}],
			yAxes: [{
				stacked: true,
				ticks: {
					max:100,
					beginAtZero:true
				}
			}]
		}
    }
});
</script>

<div id="wrapper" class="statcadre">
<canvas id="chart_nbpernivperuser" class="charts" width="400" height="400"></canvas>
</div>

<script>
var ctx = document.getElementById("chart_nbpernivperuser");
var myChart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: <?php echo json_encode($tabNiveau); ?>,
        datasets: [ 
        <?php $i=1;$j=1;
        foreach($tabUsers as $usersb) { ?>
        {
            label: <?php echo json_encode($tabUsersName[$i-1]); ?>,
            data: <?php echo json_encode($tabNbPerNiveau[$i]); ?>,
            backgroundColor: <?php echo json_encode($tabColors[$i]); ?>,
            borderColor: <?php echo json_encode($tabColors[$i]); ?>,
            borderWidth: 1
        } <?php if($j<$count_activ) { echo ','; } $i++; $j++;} ?> ]
    },
    options: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero:true
                }
            }]
        },
        title: {
            display: true,
            text: 'Nombre de visites par utilisateur (et par niveau)'
        },
        legend: {
			display:true
		},
		responsive: true,
		maintainAspectRatio: false
    }
});
</script>


<?php } ?>